# Documentation

Menu

## MissingCharacter
in package
implements CharacterInterface Uses MockCharacter

MissingCharacter.php : 12

Provides a basic implementation of CharacterInterface to return the most important data a missing character might still need.

### Interfaces, Classes and Traits

CharacterInterface
  Interface for the character model and all objects that mimick such a model.

### Table of Contents

$displayname : mixed
__call() : mixed
__construct() : mixed
  Sets the name of the missing character, defautls to "Nobody".
damage() : mixed
getAttack() : int
getBuffs() : BuffList
  Returns an empty bufflist.
getDefense() : int
getDisplayName() : string
  Returns the name.
getHealth() : int
getId() : UuidInterface
getLevel() : int
getMaxHealth() : int
getName() : string
  Returns the name.
getProperty() : mixed
getViewpoint() : Viewpoint
heal() : mixed
isAlive() : bool
setHealth() : mixed

### Properties

#### $displayname

MissingCharacter.php : 16
`private mixed $displayname`

### Methods

#### __call()

MockCharacter.php : 22
`public __call(mixed $name, mixed $arguments) : mixed`

##### Parameters

$name : mixed
$arguments : mixed

##### Tags

throws
  IsNullException

##### Return values

mixed —

#### __construct()

MissingCharacter.php : 22

Sets the name of the missing character, defautls to "Nobody".

`public __construct([string $displayname = "Nobody" ]) : mixed`

##### Parameters

$displayname : string = "Nobody"

##### Return values

mixed —

#### damage()

MockCharacter.php : 76
`public damage(int $damage) : mixed`

##### Parameters

$damage : int

##### Tags

throws
  IsNullException

##### Return values

mixed —

#### getAttack()

MockCharacter.php : 123
`public getAttack([bool $ignoreBuffs = false ]) : int`

##### Parameters

$ignoreBuffs : bool = false

##### Tags

throws
  IsNullException

##### Return values

int —

#### getBuffs()

MockCharacter.php : 160

Returns an empty bufflist.

`public getBuffs() : BuffList`

##### Return values

BuffList —

#### getDefense()

MockCharacter.php : 133
`public getDefense([bool $ignoreBuffs = false ]) : int`

##### Parameters

$ignoreBuffs : bool = false

##### Tags

throws
  IsNullException

##### Return values

int —

#### getDisplayName()

MissingCharacter.php : 31

Returns the name.

`public getDisplayName() : string`

##### Return values

string —

#### getHealth()

MockCharacter.php : 58
`public getHealth() : int`

##### Tags

throws
  IsNullException

##### Return values

int —

#### getId()

MockCharacter.php : 31
`public getId() : UuidInterface`

##### Tags

throws
  IsNullException

##### Return values

UuidInterface —

#### getLevel()

MockCharacter.php : 104
`public getLevel() : int`

##### Tags

throws
  IsNullException

##### Return values

int —

#### getMaxHealth()

MockCharacter.php : 95
`public getMaxHealth() : int`

##### Tags

throws
  IsNullException

##### Return values

int —

#### getName()

MissingCharacter.php : 40

Returns the name.

`public getName() : string`

##### Return values

string —

#### getProperty()

MockCharacter.php : 151
`public getProperty(string $name[, null $default = null ]) : mixed`

##### Parameters

$name : string
$default : null = null

##### Return values

mixed —

#### getViewpoint()

MockCharacter.php : 142
`public getViewpoint() : Viewpoint`

##### Tags

throws
  IsNullException

##### Return values

Viewpoint —

#### heal()

MockCharacter.php : 86
`public heal(int $heal[, bool $overheal = false ]) : mixed`

##### Parameters

$heal : int
$overheal : bool = false

##### Tags

throws
  IsNullException

##### Return values

mixed —

#### isAlive()

MockCharacter.php : 113
`public isAlive() : bool`

##### Tags

throws
  IsNullException

##### Return values

bool —

#### setHealth()

MockCharacter.php : 67
`public setHealth(int $amount) : mixed`

##### Parameters

$amount : int

##### Tags

throws
  IsNullException

##### Return values

mixed —

## Search results